import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        //Given: Objective, Change Hamlet to Leon

        hamletParser.changeFromHamletToLeon();
        //When

        System.out.println(hamletText);

        //Then



    }

    @Test
    public void testChangeHoratioToTariq() {
        //Given: Objective, Change Hamlet to Leon

        hamletParser.changeFromHoratioToTariq();
        //When

        System.out.println(hamletText);

        //Then
    }

    @Test
    public void testFindHoratio() {

        //Given

        //When
        hamletParser.findHoratio();

        //Then

        Assert.assertEquals(158,hamletParser.findHoratio());
    }

    @Test
    public void testFindHamlet() {

        //Given

        //When
         hamletParser.findHamlet();

        //Then

       Assert.assertEquals(472,hamletParser.findHamlet());
    }
}